%%%%%%%%%%%%%%%%%%%%%% p2_3.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%           last revision: 5/23/99 HS
%----------------------------------------------------
%       Problem 2.3: build model in terms of zeros,
%  poles, gain; then find it as ratio of polynomials
%        and make pole-zero plot.
%----------------------------------------------------
clear, clf
disp('Problem 2.3: Fourth-order system with complex poles')
zG = [-2; -4]
pG = [-1; -4+i*6; -4-i*6; -20]
kG = 150
GG = zpk(zG,pG,kG)
disp('*******>');pause
G = tf(GG)
disp('*******>');pause
pzmap(G)
disp('End of Reinforcement Problem 2.3')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%