%%%%%%%%%%%%%%%%%%%%%% p2_4.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%              last revision: 5/23/99 HS
%----------------------------------------------------
%      Problem 2.4: build model in terms of zeros,
%  poles, gain; then find it as ratio of polynomials
%        and make pole-zero plot.
%----------------------------------------------------
clear, clf
disp('Problem 2.4: Fourth-order system with real poles')
zG = [-8+i*2; -8-i*2; -3]
pG = [-1; -4; -10; -30]
kG = 5
GG = zpk(zG,pG,kG)
disp('*******>');pause
G = tf(GG)
disp('*******>');pause
pzmap(G)
disp('End of Reinforcement Problem 2.4')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%