%%%%%%%%%%%%%%%%%%%%%% p3_16.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/24/99 HS
%----------------------------------------------------
%       Problem 3.16: Unstable open-loop system
%----------------------------------------------------
clear, clf
disp(' Problem 3.16: Unstable open-loop system ')
numG = [1]
denG = conv([1 -2],[1 8])
G = tf(numG,denG)
pG = roots(denG)  % poles of G
disp('*******>');pause
numH = 100*[1 5]
denH = [1 20]
H = tf(numH,denH)
pH = roots(denH)     % poles of H
disp('*******>');pause
T = feedback(G,H)
disp('*******>');
[zT,pT,kT] = zpkdata(T,'v')
disp('*******>');pause
step(T)
grid;title('P3.16: step response of open loop system')
disp('end of Reinforcement Problem 3.16')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
