%%%%%%%%%%%%%%%%%%%%%% p4_12.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/25/99 HS
%----------------------------------------------------
%    Problem 4.12: find eigenvalues, eigenvectors
%        and modal form of a state-space model 
%----------------------------------------------------
  clear
  disp('Problem 4.12: Third-order system')
  disp('Enter A, B, C, D matrices')
  A = [-4 1 2; 1 -5 3; 2 0 -6]
  B = [1; 0.5; 2], C = [2 1 2], D =0
  G = ss(A,B,C,D)
  disp('*****>');pause
  disp('Compute eigenvalues and eigenvectors')
  [M Ad] = eig(A) 
  Bd = inv(M)*B
  Cd = C*M
  disp('*****>');pause
  disp('Perform modal transformation')
  Gm = canon(G,'modal')
  disp('*******>');pause
  disp('end of Reinforcement Problem 4.12')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%