%%%%%%%%%%%%%%%%%%%%%% p5_9.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/28/99 HS
%----------------------------------------------------
%   Problem 5.9: Root-locus diagram of state space
%                      model
%----------------------------------------------------
clear;clf
A = [ 0   1  0;
     -4  -1  1;
      0   0 -20]
B = [ 0;
      0;
     20]
disp('******>');pause
C = [ 1  0  0]
D = 0
disp('******>');pause
G = ss(A,B,C,D)
disp('******>');pause
rlocus(G);grid
axis('equal');
title('P5.9: root locus for state-space model')
disp('first with default area')
keyboard
disp('then for smaller region near origin')
axis([-15 2 -8 8])
keyboard
[K,clpoles] = rlocfind(G)
disp('end of Reinforcement Problem 5.9')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%