%%%%%%%%%%%%%%%%%%%%% wif6_4b.m %%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/28/99 HS
%----------------------------------------------------
%  This MATLAB file runs the What-if problem after 
%  Example 6.4 (Crossover frequencies, and margins)
%----------------------------------------------------
clear,clf
  disp('What-if Part (b) following') 
  disp('Example 6.4: Crossover frequencies, margins & stability')
  disp(' ')
  disp('Enter transfer function in two polynomials')
  numG = [ 1280 640 ]
  denG = [ 1 24.2 1604.81 320.24 16]
  G = tf(numG,denG)
  disp('*****>');pause
  disp('Enter controller transfer function in two polynomials')
  numGc = [ 10 5 ]
  denGc = [ 1 5 ]
  Gc = tf(numGc,denGc)
  disp('*****>'); pause
  disp('Compute transfer function for Gc(s)G(s)')
  GcG = Gc*G
  disp('Gain and phase margins and crossover frequencies')
  margin(GcG);
  disp(' ')
  keyboard
  disp('Compute closed-loop system poles')
  GcG_CL = feedback(GcG,1)
  pole_CL = pole(GcG_CL)
  disp('end of What If 6.4b')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

