%%%%%%%%%%%%%%%%%%%%%% p10_2.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%----------------------------------------------------
%   Problem 10.2: construct controllability matrix 
%          and determine controllability 
%----------------------------------------------------
  clear
  disp('Problem 10.2: construct controllability matrix ')
  disp('  and determine controllability')  
  disp(' 4th-order modal system')  
  disp(' ')
  A = [-2 0 0 0; 0 -4 0 0; 0 0 -5 0; 0 0 0 0]    % state matrix
  B = [ 1; 0; 2; 10]                      % input matrix
  disp('*****>');pause
  Co = ctrb(A,B)                      % controllability matrix
  c_eig = rank(Co)                    % number of controllable eigenvalues
  disp('*****>');pause
  disp('end of Reinforcement Problem 10.2')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%