%%%%%%%%%%%% fig2_3.m %%%%%%%%% 
%	Dec 98
% last revision: 12/28/1998, JHC
set(gcf,'DefaultAxesFontSize',16)
set(gcf,'DefaultTextFontSize',16)
  numG = [3 2]
  denG = [2 4 5 1]
  [resG,polG,otherG] = residue(numG,denG)
  t = [0:0.1:20];
  %%%-- response due to complex poles
  ycmplx = cpole2t(polG(1),resG(1),t);
  yreal = rpole2t(polG(3),resG(3),t);
  ytot = ycmplx + yreal;
  plot(t,ytot,t,ycmplx,t,yreal,'--');grid
  %title('fig 2.3: Ex 2.4: responses: total, & from complex & real poles')
  xlabel('Time (secs)');ylabel('Amplitude')
  text(2.0,0.6,'total')
  text(4.0,0.18,'real pole')
  text(4.0,-0.06,'complex poles')
  axis([0 20 -0.4 0.8]);
  print -deps fig2_3.eps
%-- reset fonts to defaults
set(gcf,'DefaultAxesFontSize',get(0,'DefaultAxesFontSize'));
set(gcf,'DefaultTextFontSize',get(0,'DefaultTextFontSize'));
%%%%%%%%%%