%%%%%%%%%%%%%%%%%%%%%% p3_3.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/24/99 HS
%----------------------------------------------------
%    Problem 3.3: Series connection of the same two 
%   systems from Example 3.1, but in reversed order.
%----------------------------------------------------
clear, clf
zG1 = -2
pG1 = [-0.5; -8]
kG1 = 5
G1 = zpk(zG1,pG1,kG1)
numG2 = [2 3]
denG2 = [5 2 2]
G2 = tf(numG2,denG2)
disp('*******>');pause
G12zpk = G1*G2
disp('*******>');pause
G12tf = tf(G12zpk)
%------- find zeros, poles, & gain of combined system
[zG12,pG12,kG12] = zpkdata(G12tf,'v')
disp('All poles in LHP ==> Stable')
disp('*******>');pause
step(G12tf)
grid;title('P3.3: step response')
disp('end of Reinforcement Problem 3.3')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
