%%%%%%%%%%%%%%%%%%%%%% p4_13.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/25/99 HS
%----------------------------------------------------
%    Problem 4.13: find eigenvalues, eigenvectors
%        and modal form of a state-space model 
%----------------------------------------------------
  clear
  disp('Problem 4.13: Fourth-order system with non-zero feedforward matrix')
  disp('Enter A, B, C, D matrices')
  A = [-2 2 0 0; 0 -4 4 0; 0 0 -5 5; 0 0 0 -10]
  B = [0; 0; 0; 10], C = [1 0 1 0], D =0.5
  G = ss(A,B,C,D)
  disp('*****>');pause
  disp('Compute eigenvalues and eigenvectors')
  [M Ad] = eig(A)                   
  Bd = inv(M)*B
  Cd = C*M
  disp('*****>');pause
  disp('Perform modal transformation')
  Gm = canon(G,'modal')
  disp('*******>');pause
  disp('end of Reinforcement Problem 4.13')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%