%%%%%%%%%%%%%%%%%%%%%% p5_6.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/28/99 HS
%----------------------------------------------------
%                             K (s+5)(s+10)
%   Problem 5.6:     G(s) = ----------------
%                            s^2(s+20)(s+40)
%----------------------------------------------------
clear,clf
num = conv([1 5],[1 10])
temp = conv([1 20],[1 40]);
den = [temp 0 0]
G = tf(num,den)
axis('square');
axis([-50 10 -30 30]);
rlocus(G)
grid;title('P5.6: Root Locus')
keyboard
[K,clpoles] = rlocfind(G)
disp('end of Reinforcement Problem 5.6')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%