%%%%%%%%%%%%%%%%%%%%%% p6_7.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 6/9/99 HS
%----------------------------------------------------
%         Problem 6.7: make Bode plots for a 
%       low-pass filter with varying parameter
%----------------------------------------------------
  clear,clf
  disp('Problem 6.7: Lag controller')
  disp(' ')
  disp('Generate Bode plot for several different alpha')
  alpha = [2 5 20];
  for k =1:3
    disp('alpha is')
    alpha(k)
    disp('transfer function coefficients')
    numG = [1 1]
    denG = [1 1/alpha(k)]
    G = tf(numG,denG)
    bode(G)
    title('P6.7: Bode plot')
    keyboard
    subplot(1,1,1)
  end
  disp('end of Reinforcement Problem 6.7')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%