function   flag = chkmat(MATname)
%CHKMAT  	
%	flag = chkmat(MATname) 
%   Checks for existance of file MATname.mat and
%     if there, sets flag = 1 
%     if not there, sets flag = 0,tells user, & 
%         gives instructions on how to create it.
%   Note: Input argument is a string

%%%%%%%%%%%% /tools/chkmat.m %%%%%%%%%%%%%
%
%   DKF,  9 Nov 94
%---------------------------------------------------
if eval(['exist(''' MATname '.mat'')']) == 2,
    flag = 1;
 else 
    flag = 0;
    disp(' ')
    disp(['The required binary file ' MATname '.mat does not exist'])
    disp('..... and must be created by doing the following:')
    disp('  1. Go to the directory where the model files are kept.')
    disp(['  2. Run the M-file '  MATname '.m and select option #6'])
    disp('  3. Return to this directory and rerun this M-file')
    disp(' ')
end
%%%%%%%%%%%%%%%%